----------------------------------------------------------------------------------------------------------------------------------------
-- Las Venturas
----------------------------------------------------------------------------------------------------------------------------------------

local vZones = {
	{x = 914.44885, y = 1709.65259, z = -2.00913, width = 50, depth = 50, height = 10},
}

local z = {}
function initvZones()
	if vZones and #vZones ~= 0 then
		for _,v in ipairs (vZones) do
			if v then
				if v.x and v.y and v.z and v.width and v.depth and v.height then
					local c = createColCuboid (v.x, v.y, v.z, v.width, v.depth, v.height)
					if c then
						z[c] = true
						for _,v in ipairs (getElementsByType("vehicle")) do
							if isElementWithinColShape (v, c) then
								destroyElement(v)
							end
						end
						addEventHandler ("onElementDestroy", c,
							function()
								if z[source] then
									z[source] = nil
								end
							end
						)
						addEventHandler ("onColShapeHit", c,
							function (h, d)
								if h and d and isElement(h) and getElementType (h) == "vehicle" then
									destroyElement (h)
								end
							end
						)
					end
				end
			end
		end
	end
end
addEventHandler ("onResourceStart", resourceRoot, initvZones)

----------------------------------------------------------------------------------------------------------------------------------------
-- San Fierro
----------------------------------------------------------------------------------------------------------------------------------------

local vZones = {
	{x = -1794.61194, y = 753.70630, z = 15.82851, width = 50, depth = 50, height = 8},
}

local z = {}
function initvZones()
	if vZones and #vZones ~= 0 then
		for _,v in ipairs (vZones) do
			if v then
				if v.x and v.y and v.z and v.width and v.depth and v.height then
					local c = createColCuboid (v.x, v.y, v.z, v.width, v.depth, v.height)
					if c then
						z[c] = true
						for _,v in ipairs (getElementsByType("vehicle")) do
							if isElementWithinColShape (v, c) then
								destroyElement(v)
							end
						end
						addEventHandler ("onElementDestroy", c,
							function()
								if z[source] then
									z[source] = nil
								end
							end
						)
						addEventHandler ("onColShapeHit", c,
							function (h, d)
								if h and d and isElement(h) and getElementType (h) == "vehicle" then
									destroyElement (h)
								end
							end
						)
					end
				end
			end
		end
	end
end
addEventHandler ("onResourceStart", resourceRoot, initvZones)

----------------------------------------------------------------------------------------------------------------------------------------
-- Los Santos
----------------------------------------------------------------------------------------------------------------------------------------

local vZones = {
	{x = 1651.59216, y = -1364.29883, z = 5.52855, width = 50, depth = 45, height = 8},
}

local z = {}
function initvZones()
	if vZones and #vZones ~= 0 then
		for _,v in ipairs (vZones) do
			if v then
				if v.x and v.y and v.z and v.width and v.depth and v.height then
					local c = createColCuboid (v.x, v.y, v.z, v.width, v.depth, v.height)
					if c then
						z[c] = true
						for _,v in ipairs (getElementsByType("vehicle")) do
							if isElementWithinColShape (v, c) then
								destroyElement(v)
							end
						end
						addEventHandler ("onElementDestroy", c,
							function()
								if z[source] then
									z[source] = nil
								end
							end
						)
						addEventHandler ("onColShapeHit", c,
							function (h, d)
								if h and d and isElement(h) and getElementType (h) == "vehicle" then
									destroyElement (h)
								end
							end
						)
					end
				end
			end
		end
	end
end
addEventHandler ("onResourceStart", resourceRoot, initvZones)